Get the unsubscribe events of an automation
GET https://{account}/api/v1/automations/{id}/unsubscribe_events
Authentication
Requires an API key sent in the X-AUTH-TOKEN header.
Get the unsubscribe events caused by the emails sent by an automation.
Pagination
This is a paginated resource. You can optionally send two query parameters:
| Parameter | Description |
|---|---|
| page | The page that you want to retrieve. It starts with 1. |
| per_page | The number of records returned per page. The max allowed value for this resource is 10000. |
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| id | integer | Yes | ID of the record |
| automation_block_id | integer | No | Only return the records of this block of the automation |
| page | integer | No | Page number |
| per_page | integer | No | Number of records per page |
| q[email_eq] | string | No | Search: Email equals |
| q[email_cont] | string | No | Search: Email contains |
| q[sent_email_id_eq] | integer | No | Search: Sent email equals |
| q[sent_email_id_gteq] | integer | No | Search: Sent email greater than or equal to |
| q[sent_email_id_lteq] | integer | No | Search: Sent email less than or equal to |
| q[source_eq] | string | No | Search: Source equals |
| q[source_cont] | string | No | Search: Source contains |
| q[s] | string | No | Allows ordering the records based on a specific field. You may optionally append "asc" or "desc" to define the direction. Example: "email desc" |
Responses
| Status | Description |
|---|---|
| 200 | Success |
| 400 | The request is invalid. Check the query parameters, including that per_page isn't above the maximum allowed for this resource. |
| 401 | The API key wasn't sent, is invalid or has expired |
| 403 | The API key or its user doesn't have permission to use this endpoint, or the request comes from an IP address the key doesn't allow. |
| 429 | Too many requests. You have exceeded the rate limit, wait and try again later. |
| 500 | An internal error happened. Try again later. |
| 404 | Couldn't find record with provided ID. |
Response fields
| Name | Type | Description |
|---|---|---|
| id | integer | ID |
| sent_email_id | integer | Sent email |
| source | string | Source |
| ip | string | IP |
| string | ||
| reason | string | Reason |
| description | string | Description |
| created_at | string | Created at |
Response headers
| Name | Type | Description |
|---|---|---|
| Per-Page | integer | Number of records returned per page. |
| Total | integer | Total number of records matching the request, ignoring pagination. |
| Link | string | RFC 5988 links to the first, prev, next and last pages. Only the applicable relations are included. |
- Send emails
-
A/B tests
- GET /ab_tests — Lists A/B tests
- POST /ab_tests — Add a new A/B test
- GET /ab_tests/{id} — Get an A/B test by id
- DELETE /ab_tests/{id} — Remove an A/B test
- PATCH /ab_tests/{id}/cancel — Cancel A/B test
- POST /ab_tests/{id}/choose_winning_combination — Choose which A/B test combination should be sent to the remaining subscribers
- PATCH /ab_tests/{id}/set_as_manual — Set A/B test as manual
-
Automations
- GET /automations — Lists automations
- POST /automations — Add a new automation
- GET /automations/{id} — Get an automation with its triggers and blocks
- DELETE /automations/{id} — Remove an automation
- PATCH /automations/{id} — Update an automation
- PATCH /automations/{id}/enable — Enable an automation
- PATCH /automations/{id}/disable — Disable an automation
- GET /automations/{automation_id}/blocks/{id} — Get a trigger or block of an automation
- DELETE /automations/{automation_id}/blocks/{id} — Remove a trigger or block of an automation
- PATCH /automations/{automation_id}/blocks/{id} — Update a trigger or block of an automation
- POST /automations/{automation_id}/blocks — Add triggers and blocks to an automation
-
Automation reports
- GET /automations/{id}/stats — Get the statistics of an automation
- GET /automations/{id}/report — Get the report of an automation by day or month
- GET /automations/{id}/sent_emails — Get the emails sent by an automation
- GET /automations/{id}/impressions — Get the impressions of an automation
- GET /automations/{id}/clicks — Get the clicks of an automation
- GET /automations/{id}/unsubscribe_events — Get the unsubscribe events of an automation
- GET /automations/{id}/sms_sent_messages — Get the SMS sent by an automation
- Automation activities
- Automation folders
-
Campaigns
- GET /campaigns — Lists campaigns
- POST /campaigns — Add a new campaign
- GET /campaigns/{id} — Get a campaign by id
- DELETE /campaigns/{id} — Remove a campaign
- PATCH /campaigns/{id} — Update a campaign
- POST /campaigns/{id}/send_all — Send a campaign
- POST /campaigns/{id}/send_test — Send a campaign to test emails
- Campaign folders
- Custom fields
- Imports
- Groups
-
Segments
- GET /segments — Lists segments
- POST /segments — Add a new segment
- GET /segments/{id} — Get a segment by id
- DELETE /segments/{id} — Remove a segment
- PATCH /segments/{id} — Update a segment
- GET /segments/{id}/subscribers — Lists the subscribers matching a segment
- POST /segments/{id}/create_group — Create a group from a segment
-
Media files
- GET /media_files — Lists media files
- POST /media_files — Add a new media file
- GET /media_files/trashed — List media files in trash
- GET /media_files/{id} — Get a single media file
- DELETE /media_files/{id} — Hard delete a media file
- PATCH /media_files/{id}/move_to_trash — Move media file to trash
- PATCH /media_files/{id}/restore — Restore a file that is in trash
- Media folders
-
RSS Campaigns
- GET /rss_campaigns — Lists RSS campaigns
- POST /rss_campaigns — Add a new RSS campaign
- GET /rss_campaigns/{id} — Get a RSS campaign by id
- DELETE /rss_campaigns/{id} — Remove a RSS campaign
- PATCH /rss_campaigns/{id} — Update a RSS campaign
- GET /rss_campaigns/{id}/processed_entries — Get RSS campaign's processed entries
- Senders
-
Sent campaigns
- GET /sent_campaigns — Lists sent campaigns
- GET /sent_campaigns/{id} — Get a single sent campaign
- GET /sent_campaigns/{id}/clicks — Get sent campaign's clicks
- GET /sent_campaigns/{id}/impressions — Get sent campaign's impressions
- GET /sent_campaigns/{id}/sent_emails — Get sent campaign's sent emails
- GET /sent_campaigns/{id}/unsubscribe_events — Get sent campaign's unsubscribe events
- PATCH /sent_campaigns/{id}/pause — Pause a campaign that is being sent
- PATCH /sent_campaigns/{id}/resume — Resume a campaign that is paused
- PATCH /sent_campaigns/{id}/cancel — Cancel a campaign
- SignupForms
- SMTP emails
- SMTP tags
-
Subscribers
- GET /subscribers — Get subscribers
- POST /subscribers — Add a new subscriber
- GET /subscribers/{id} — Get a subscriber by id
- DELETE /subscribers/{id} — Remove a subscriber
- PATCH /subscribers/{id} — Update a subscriber
- POST /subscribers/{id}/resend_confirmation_email — Resend confirmation email to an inactive subscriber
- PATCH /subscribers/{id}/ban — Ban a subscriber
- PATCH /subscribers/{id}/unban — Unban a subscriber
- GET /subscribers/deleted — Get deleted subscribers
- PATCH /subscribers/{id}/restore — Restore a deleted subscriber
- POST /subscribers/sync — Create or update a subscriber
- PATCH /subscribers/bulk_update — Bulk update subscribers
- GET /subscribers/{subscriber_id}/tags — Lists a subscriber's tags
- PUT /subscribers/{subscriber_id}/tags — Replace a subscriber's tags
- POST /subscribers/{subscriber_id}/tags — Add tags to a subscriber
- DELETE /subscribers/{subscriber_id}/tags — Remove tags from a subscriber
- Tags
- Unsubscribe events
- Bounces
- General
- API batches
-
Event Subscriptions
- GET /event_subscriptions — Lists event subscriptions
- POST /event_subscriptions — Add a new event subscription
- GET /event_subscriptions/{id} — Get an event subscription by id
- DELETE /event_subscriptions/{id} — Remove an event subscription
- PATCH /event_subscriptions/{id} — Update an event subscription
- Send transactional SMS
- SMS campaigns
-
SMS sent campaigns
- GET /sms/sent_campaigns — Lists SMS sent campaigns
- GET /sms/sent_campaigns/{id} — Get a single SMS sent campaign
- GET /sms/sent_campaigns/{id}/sent_messages — Get SMS sent campaign's sent messages
- GET /sms/sent_campaigns/{id}/unsubscribe_events — Get SMS sent campaign's unsubscribe events
- PATCH /sms/sent_campaigns/{id}/pause — Pause a SMS campaign that is being processed
- PATCH /sms/sent_campaigns/{id}/resume — Resume a SMS campaign that is paused
- PATCH /sms/sent_campaigns/{id}/cancel — Cancel a SMS campaign
- SMS sent messages
- Ecommerce Stores
-
Ecommerce Product Categories
- GET /ecommerce/stores/{store_id}/product_categories — Lists product categories
- POST /ecommerce/stores/{store_id}/product_categories — Add a new product category
- GET /ecommerce/stores/{store_id}/product_categories/{id} — Get a product category by id
- DELETE /ecommerce/stores/{store_id}/product_categories/{id} — Remove a product category from a store
- PATCH /ecommerce/stores/{store_id}/product_categories/{id} — Update a product category
- POST /ecommerce/stores/{store_id}/product_categories/sync — Create or update a product category
-
Ecommerce Products
- GET /ecommerce/stores/{store_id}/products — Lists products
- POST /ecommerce/stores/{store_id}/products — Add a new product
- GET /ecommerce/stores/{store_id}/products/{id} — Get a product by id
- DELETE /ecommerce/stores/{store_id}/products/{id} — Remove a product
- PATCH /ecommerce/stores/{store_id}/products/{id} — Update a product
- POST /ecommerce/stores/{store_id}/products/sync — Create or update a product
-
Ecommerce Carts
- GET /ecommerce/stores/{store_id}/carts — Lists carts
- POST /ecommerce/stores/{store_id}/carts — Add a new cart
- GET /ecommerce/stores/{store_id}/carts/{id} — Get a cart by id
- DELETE /ecommerce/stores/{store_id}/carts/{id} — Remove a cart
- PATCH /ecommerce/stores/{store_id}/carts/{id} — Update a cart
- POST /ecommerce/stores/{store_id}/carts/sync — Create or update a cart
- Send transactional WhatsApp messages
- WhatsApp Phone Numbers
-
WhatsApp Templates
- GET /whatsapp/templates — Lists WhatsApp templates
- POST /whatsapp/templates — Create a new WhatsApp template
- GET /whatsapp/templates/{id} — Get a WhatsApp template by id
- DELETE /whatsapp/templates/{id} — Delete a WhatsApp template
- PATCH /whatsapp/templates/{id} — Update a WhatsApp template
- POST /whatsapp/templates/{id}/submit_for_approval — Submit template for approval
-
WhatsApp campaigns
- GET /whatsapp/campaigns — Lists WhatsApp campaigns
- POST /whatsapp/campaigns — Add a new WhatsApp campaign
- GET /whatsapp/campaigns/{id} — Get WhatsApp campaign by id
- DELETE /whatsapp/campaigns/{id} — Remove WhatsApp campaign
- PATCH /whatsapp/campaigns/{id} — Update WhatsApp campaign
- POST /whatsapp/campaigns/{id}/send_all — Send WhatsApp campaign
-
WhatsApp sent campaigns
- GET /whatsapp/sent_campaigns — Lists WhatsApp sent campaigns
- GET /whatsapp/sent_campaigns/{id} — Get a single WhatsApp sent campaign
- GET /whatsapp/sent_campaigns/{id}/sent_messages — Get WhatsApp sent campaign's sent messages
- PATCH /whatsapp/sent_campaigns/{id}/pause — Pause a WhatsApp campaign that is being sent
- PATCH /whatsapp/sent_campaigns/{id}/resume — Resume a WhatsApp campaign that is paused
- PATCH /whatsapp/sent_campaigns/{id}/cancel — Cancel a WhatsApp campaign
- WhatsApp sent messages
- Connect an assistant
- Permissions & tools
- What you can ask
- Troubleshooting & FAQ